# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.10] - 2022-08-23

### Added

- Lookup API.

## [1.0.9] - 2022-08-18

### Changed

- Refresh OpenAPI spec.

## [1.0.8] - 2022-08-04

### Added

- Institution mapping API.

### Changed

- Refresh OpenAPI spec.

## [1.0.7] - 2022-07-14

### Changed

- Refresh OpenAPI spec.

## [1.0.6] - 2022-05-10

### Added

- University HR API and University Student API

## [1.0.5] - 2022-03-31

### Added

- Lookup institution scheme.

## [1.0.4] - 2022-03-25

### Added

- Depreciated student inst id scheme being used by institutional mapping API.

## [1.0.3] - 2022-03-22

### Changed

- Refresh OpenAPI spec.

## [1.0.2] - 2022-03-05

### Fixed

- Fix client credentials access token not being refreshed.

## [1.0.1] - 2022-01-09

### Added

- New Card API card-rfid-data-config endpoint.

## [1.0.0] - 2022-01-20

### Changed

- Refactor to use openapi-generator to generate the card_client and photo_client.

### Removed

- Removed previous card_client and photo_client modules (breaking change).

## [0.1.7] - 2021-11-10

### Fixed

- Fixed identity APIs making use of an expired token.

## [0.1.2] - 2021-08-27

### Added

- Basic Photo API client allowing fetching of transient photo urls.

## [0.1.1] - 2021-07-14

### Fixed

- Fixed installation when using Python 3.6 or lower, by adding dependency on dataclasses.

## [0.1.0] - 2021-07-14

### Added

- Initial version of this library, include identifier schemes and identifier parsing code.
